classification
Title: IDLE: use 'macOS' where appropriate.
Type: enhancement Stage: resolved
Components: IDLE Versions: Python 3.8, Python 3.7, Python 3.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: terry.reedy Nosy List: matrixise, miss-islington, ned.deily, terry.reedy
Priority: normal Keywords: patch

Created on 2018-11-12 05:06 by terry.reedy, last changed 2018-12-11 21:13 by terry.reedy. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 10478 merged terry.reedy, 2018-11-12 05:23
PR 10559 merged miss-islington, 2018-11-15 18:15
PR 10560 merged miss-islington, 2018-11-15 18:15
Messages (11)
msg329713 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2018-11-12 05:06
'maxOS' is Apple's current name for the Mac operating system.  See https://en.wikipedia.org/wiki/MacOS, Contents, Release History.

The module name macosx.py is currently left as is.  Within that, 'Mac OS X' is correct for 10.6 for 10.8.
msg329715 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2018-11-12 05:08
This issue is a spinoff of #34864.
msg329724 - (view) Author: Stéphane Wirtel (matrixise) * (Python committer) Date: 2018-11-12 08:25
@terry, I suppose you wanted to say "macOs" and not "maxOs"
msg329741 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2018-11-12 16:25
Whoops, 'macOS', as in the title and PR.
msg329742 - (view) Author: Stéphane Wirtel (matrixise) * (Python committer) Date: 2018-11-12 16:33
;-) just a joke.

I have reviewed your PR, but do you count with the occurences of "OS X", it's the abbreviation of "MacOS X"?
msg329748 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2018-11-12 18:11
The history of names for 10.X, from the reference above (which also has nicknames, like 'Mavericks' and 'Mohave', which I believe we do not use).

10.0 to 10.7: Mac OS X (space or spaces sometime left out, as in macosx)
10.8 to 10.13: OS X (2012, ditto)
10.14 to (current) 10.16 (2016)

AFAIK, the current Mac installers support either 10.6+ or 10.9+.  The macosx references to 'Mac OS X 10.6' and 'OS X 10.7 and 10.8' are properly not changed.

'OS X' in pyshell.py is removed in PR 10464.

The most recent item in NEWS.txt using 'OS X' is for #27310, June 2016, by Ned, who used 'OS X'.  So no changes to NEWS.txt or NEWS2.txt.

** Ned **
Should 'OS X Aqua Tk' be changed to 'macOS Aqua Tk' or 'macOS (OS X) Aqua Tk'?  In other words, is 'OS X' here a replaceable noun adjective or an integral part of a proper name?  The PR did the 2nd replacement in config.py, since the comment is about the 'IDLE Classic OSX' keyset, but I deferred the change in mainmenu.py.

Same issue with 'OS X Cocoa Tk 8.5' in editor.py.

Editor.py also has "Some OS X systems have only one mouse button".  It seems to me that 'Mac' would be a better replacement that 'macOS' as the mouse is part of the hardware system, not the OS software.
msg329749 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2018-11-12 18:16
The 4th line above should include 'macOS'.

10.14 to current 10.16: macOS (2016)
msg329957 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2018-11-15 18:15
New changeset b65413b497a07f521d835b799be7dd0afcedbd65 by Terry Jan Reedy in branch 'master':
bpo-35213: Where appropriate, use 'macOS' in idlelib. (#10478)
https://github.com/python/cpython/commit/b65413b497a07f521d835b799be7dd0afcedbd65
msg329961 - (view) Author: miss-islington (miss-islington) Date: 2018-11-15 19:31
New changeset 579c4175648f667d59954d48ada757621ff6d433 by Miss Islington (bot) in branch '3.7':
bpo-35213: Where appropriate, use 'macOS' in idlelib. (GH-10478)
https://github.com/python/cpython/commit/579c4175648f667d59954d48ada757621ff6d433
msg329962 - (view) Author: miss-islington (miss-islington) Date: 2018-11-15 19:31
New changeset be657c1fac3ce436976541cf2680a977217be813 by Miss Islington (bot) in branch '3.6':
bpo-35213: Where appropriate, use 'macOS' in idlelib. (GH-10478)
https://github.com/python/cpython/commit/be657c1fac3ce436976541cf2680a977217be813
msg331651 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2018-12-11 21:13
Any more changes can be a future issue.
History
Date User Action Args
2018-12-11 21:13:21terry.reedysetstatus: open -> closed
resolution: fixed
messages: + msg331651

stage: patch review -> resolved
2018-11-15 19:31:56miss-islingtonsetmessages: + msg329962
2018-11-15 19:31:39miss-islingtonsetnosy: + miss-islington
messages: + msg329961
2018-11-15 18:15:41miss-islingtonsetpull_requests: + pull_request9806
2018-11-15 18:15:32miss-islingtonsetstage: needs patch -> patch review
pull_requests: + pull_request9805
2018-11-15 18:15:17terry.reedysetmessages: + msg329957
2018-11-12 18:16:02terry.reedysetmessages: + msg329749
2018-11-12 18:11:15terry.reedysetmessages: + msg329748
2018-11-12 16:33:25matrixisesetmessages: + msg329742
2018-11-12 16:25:49terry.reedysetmessages: + msg329741
stage: patch review -> needs patch
2018-11-12 08:25:58matrixisesetnosy: + matrixise
messages: + msg329724
2018-11-12 05:23:58terry.reedysetkeywords: + patch
stage: needs patch -> patch review
pull_requests: + pull_request9745
2018-11-12 05:08:23terry.reedysetnosy: + ned.deily
messages: + msg329715
2018-11-12 05:06:14terry.reedycreate